[Unit]
Description=Sagator daemon
After=network.target network-online.service mysqld.service mariadb.service

[Service]
Type=forking
PIDFile=/var/run/sagator.pid
EnvironmentFile=-/etc/sysconfig/sagator
ExecStartPre=-/usr/sbin/mkchroot.sagator --mount --check --auto --quiet
ExecStart=/usr/sbin/sagator
ExecStopPost=-/usr/sbin/mkchroot.sagator --umount --check --auto --quiet

[Install]
WantedBy=multi-user.target
